# 🧙 Magify Unity3d SDK

[![sdk](https://img.shields.io/badge/sdk-4.4.8-green)](https://github.com/Magify-LTD/magify-unity)
[![service](https://img.shields.io/badge/service-4.4.8-green)](https://github.com/Magify-LTD/magify-unity)

```
{
  "dependencies": {
    "com.magify.unity-sdk": "file:com.magify.unity-sdk-4.4.8.tgz",
    "com.magify.unity-sdk-service": "file:com.magify.unity-sdk-service-4.4.8.tgz",
    ...
  },
}
```

> **Full documentation with example at [version page](https://magify.atlassian.net/wiki/spaces/GW/pages/1280164/Releases).**


# Change Log

## [4.4.8]
### Release 4.4.0
- [SDK] Added `storefront` property for ProductPurchaseEvent (#536)
- [SDK] Added `original_app_version` field for some analytics models ($555)
- [Service] Added `TrackCorrectionTransaction` for service analytics (#535)
- [Bundler] Added the possibility to build a single bundle with all languages included (#645)
### Patch 4.4.1
- [SDK] Fixed context and auth token requests cancellation handling (#650)
### Patch 4.4.2
- [SDK] Fixed infinitive loop if web-request was cancelled on first start (#652)
### Patch 4.4.3
- [SDK/Service] Added `ResetUserAuthorization` method. It allows to reset previously set social authorization provider and token (#655)
### Patch 4.4.4
- [SDK/Service] Added `AutoRestoreStateInfo` property. It provides access to the info about automatic state restoring (#657)
- [SDK/Service] Added `IsAutoRestoreStateEnabled` property. It allows you to control automatic state restoring (#657)
### Patch 4.4.5
- [SDK] Improved handling of errors of writing to storage on disk (#660)
- [SDK] Fixed infinitive loop on SDK termination if there was token loading (#661)
- [SDK] Added handling of the "Additional text encountered after finished reading JSON content" exception during migration from old android SDK (#662)
- [SDK] Optimized SDK's initialization (#663)
- [SDK] Fixed a vulnerability that may prevent migration from old native SDK from happening (#666)
- [SDK] Improved OnConfigLoaded callback to allow requesting a campaign from its subscribers (#670)
- [SDK] Added thread safety and check for storing and deleting caches for CacheContent (#671)
- [SDK] Adapted some code for old code analyzer for Unity 2021 (#673)
- [SDK] Added `HasSocialAuthorize` flag to check is social `provider` and `token` have been passed (#674)
- [SDK] Handled argument null exception (`_unity_self`) during web request's aborting (#675)
### Patch 4.4.6
- [SDK] Fixed `NullReferenceException` when returned value of `MagifyEditorMoq.RegisteredLtoOffers()` is null (#678)
- [Service] Added `MagifyServerTimeProvider` for getting server time from Magify Server. `WorldTimeApiServerTimeProvider` was deleted (#681) 
- [SDK] Fixed an infinitive loop when ATT status passed right on initialization (#682)
- [SDK] Fixed a situation when the Android build number (version code) requested from the thread pull returned '0' (#683)
- [SDK] Clarified error logs during sync state process (#684)
### Patch 4.4.7
- [SDK] Fixed an error (TrySetSetString) with fake cloud storage in Editor (#686)
### Patch 4.4.8
- [Service] Fixed 'missing reference error' when only Max mediator define symbols were added (#688)
- [SDK/Service] Added  `SkipClientIdFromCloudLoading` and `ClientIdFromCloudLoadingTimeout` configuration options to provide control of loading of ClientId from native cloud storage (#690)

# CONTACTS

| #  | Name                                                                                                             | Position             |
|:--:|------------------------------------------------------------------------------------------------------------------|----------------------|
| 1  | [Kirill Dudnik](https://magifycom.slack.com/team/U074KHLMRAA) ([email](kirill.dudnik@magify.com))                | Unity                |
| 2  | [Vitaliy Borisovec](https://magifycom.slack.com/team/U08FCCTAP4Y) ([email](vitaliy.borisovec@magify.com))        | Unity                |
